Subject: [PATCH v3 7/9] ARM: add Armada 1500 and Sony NSZ-GS7 device tree files

From: [email-masked] (Sebastian Hesselbarth)
Date: Fri, 08 Nov 2013 20:17:03 +0100

On 11/08/2013 08:14 PM, Olof Johansson wrote:
> On Fri, Nov 8, 2013 at 10:24 AM, Jason Cooper <[email-masked]> wrote:
>> On Fri, Nov 08, 2013 at 12:06:26PM -0600, Kumar Gala wrote:
>>> On Nov 8, 2013, at 10:57 AM, Jason Cooper wrote:
>>>> On Fri, Nov 08, 2013 at 10:13:19AM -0600, Kumar Gala wrote:
>>>>> On Nov 5, 2013, at 8:28 AM, Sebastian Hesselbarth wrote:
>>>> ...
>>>>>> .../devicetree/bindings/arm/marvell,berlin.txt     |   24 +++
>>>>>> arch/arm/boot/dts/Makefile                         |    2 +
>>>>>> arch/arm/boot/dts/berlin2-sony-nsz-gs7.dts         |   29 +++
>>>>>> arch/arm/boot/dts/berlin2.dtsi                     |  227 ++++++++++++++++++++
>>>>>> 4 files changed, 282 insertions(+)
>>>>>> create mode 100644 Documentation/devicetree/bindings/arm/marvell,berlin.txt
>>>>>> create mode 100644 arch/arm/boot/dts/berlin2-sony-nsz-gs7.dts
>>>>>> create mode 100644 arch/arm/boot/dts/berlin2.dtsi
>>>>>
>>>>> Haven't we been trying to go away from non-prefixed dts/dtsi?
>>>>
>>>> hmmm, this is the first I've heard of that.  Although, your proposal
>>>> (in another thread) makes more sense now.  :)
>>>>
>>>>> So should these be something like marvell-berlin2-...
>>>>
>>>> I don't recall this being brought up at the summit, nor in Grant's
>>>> report.  I do need to give it a more careful read this weekend, though.
>>>> Perhaps I missed something.
>>>
>>> This was based on review comments Olof gave when we pushed some .dts
>>> files for MSM/APQ Qualcomm Technologies soc/boards.
>>
>> As Andrew Lunn mentioned to me earlier, we should consider the fact that
>> the dts file names are being used by Debian's flash-kernel.  Oh no!
>> Another ABI! ;-)
>
> Yes, the names are mostly stable. ST-Ericsson renamed their dts files
> and it caused some pain, some build environments have them hardcoded,
> etc.

Ok, I was just going to ask, if we should stich some rename-patches for
mvebu SoCs.. but the above answers that.

Sebastian

> Still, it is a good idea to start adding new ones using family or
> vendor prefixes, so they are easier to group. Please keep that in mind
> on new ones too, Jason -- I don't think I've discussed with you in the
> past. :-)